body {
    font-size: .875rem;
    background: #f8f9fb!important;
}

.feather {
    width: 16px;
    height: 16px;
    vertical-align: text-bottom;
}

/*
* Sidebar
*/

.sidebar {
    position: fixed;
    top: 0;
    /* rtl:raw:
right: 0;
*/
    bottom: 0;
    /* rtl:remove */
    left: 0;
    z-index: 100;
    /* Behind the navbar */
    padding: 48px 0 0;
    /* Height of navbar */
    box-shadow: inset -1px 0 0 rgba(0, 0, 0, .1);
}

@media (max-width: 767.98px) {
    .sidebar {
        top: 5rem;
    }
}

.sidebar-sticky {
    position: relative;
    top: 0;
    height: calc(100vh - 48px);
    padding-top: .5rem;
    overflow-x: hidden;
    overflow-y: auto;
    /* Scrollable contents if viewport is shorter than content. */
}

.sidebar .nav-link {
    font-weight: 500;
    color: #333;
}

.sidebar .nav-link .feather {
    margin-right: 4px;
    color: #727272;
}

.sidebar .nav-link.active {
    color: #2470dc;
}

.sidebar .nav-link:hover .feather,
.sidebar .nav-link.active .feather {
    color: inherit;
}

.sidebar-heading {
    font-size: .75rem;
    text-transform: uppercase;
}


/*
* Navbar
*/

.navbar-brand {
    padding-top: .75rem;
    padding-bottom: .75rem;
    font-size: 1rem;
    background-color: rgba(0, 0, 0, .25);
    box-shadow: inset -1px 0 0 rgba(0, 0, 0, .25);
}

.navbar .navbar-toggler {
    top: .25rem;
    right: 1rem;
}

.navbar .form-control {
    padding: .75rem 1rem;
    border-width: 0;
    border-radius: 0;
}

.form-control-dark {
    color: #fff;
    background-color: rgba(255, 255, 255, .1);
    border-color: rgba(255, 255, 255, .1);
}

.form-control-dark:focus {
    border-color: transparent;
    box-shadow: 0 0 0 3px rgba(255, 255, 255, .25);
}


/* ------- New Design For POS ------- */

header {
    z-index: 999 !important;
    display: block;
    overflow: visible;
    position: fixed;
    background: #fff;
    padding: 13px 25px;
    top: 0;
}


.logo01 {
    width: 40%;
}

.header_text {
    text-align: center;
}

.logo02 {
    width: 50%;
    float: right;
    margin-right: 0;
    margin-top: 5px
}

nav#sidebarMenu {
    padding: 0% 0 0 0;
    /* background: #5d62b5 !important; */
    background: url('../images/sidebar-bg.jpg');
    background-size: contain;
}
.sidebar_bg {
    padding: 2% 0 50px 0;
    /* background: #5d62b5bd !important; */
    background: rgb(69 39 160 / 81%) !important;
    min-height: 100%;
    overflow-x: hidden;
}
.sidebar .nav-link {
    color: #fff;
}

.sidebar .nav-link.active {
    color: #fff;
    background: #332a7c;
}

.nav-link:focus,
.nav-link:hover {
    color: #ffffff !important;
}

.dropdown {
    position: relative;
    display: inline-block;
}

.app-nav__item:hover,
.app-nav__item:focus {
    background: none;
}

#myDropdown {
    top: 2% !important;
    inset: auto 0px 0px auto !important;
    margin: 0px;
    transform: translate(0, 133px) !important;
    width: 100% !important;
    min-width: 20rem;
    position: absolute !important;
}

.dropdown-content {
    display: none;
    position: absolute;
    background-color: #f1f1f1;
    overflow: auto;
    box-shadow: 0px 8px 16px 0px rgba(0, 0, 0, 0.2);
    z-index: 1;
}

.dropdown-content a {
    color: black;
    text-decoration: none;
    display: block;
}

.user_icon {
    color: rgb(75, 69, 69);
    font-size: 27px !important;
    float: right;
    margin: 20% 0%;
}

.show {
    display: block;
}

.content {
    padding: 6% 0 0 0 !important;
}

.data_bg {
    background: #fff;
    margin: 1% 0;
    padding: 3% 2%;
    min-height: 80vh;
    border: 1px solid rgba(0, 0, 0, .125);
    border-radius: .25rem;
}

.data_bg h2 {
    text-align: center;
    font-size: 25px;
    text-transform: uppercase;
    margin-bottom: 20px;
}

.data_bg hr {
    width: 30%;
    margin: 0px auto;
    height: 2px !important;
    background: #03645b;
    opacity: 100%;
    margin-bottom: 20px;
}

.table>:not(:first-child) {
    border-top: 1.5px solid #9c9fa1 !important;
}

.data_table th {
    text-align: left;
    font-size: 16px;
    font-weight: 600;
}

.table>:not(:first-child) {
    border-top: 1.5 px solid #b1b1b1;
}

.data_table td {
    padding: 4px 3px !important;
    text-align: center;
}

.home_banner {
    background: url('../images/Banner.jpg');
    background-size: cover;
    background-repeat: no-repeat;
    height: 100vh;
}

.home_banner .home_banner_text {
    padding: 0% 0 0 0;
    top: 50% !important;
    left: 50% !important;
    transform: translateX(-50%) translateY(-50%) !important;
    position: absolute !important;
    width: 100% !important;
    
}

.home_banner .home_banner_text h4 {
    font-size: 18px;
    font-weight: 500;
    letter-spacing: 3px;
}

.home_banner .home_banner_text h1 {
    font-size: 60px;
    font-weight: bold;
    margin: 14px 0;
}

.home_banner .home_banner_text p {
    color: #777;
    margin: 20px 0;
}

.home_banner .home_banner_text button {
    padding: 10px 50px;
    border-radius: 24px;
    background: #FFEBCD;
    color: #000;
    font-weight: 600;
    font-size: 20px;
    cursor: pointer;
}

.home_mini_footer {
    background: #000;
    padding: 10px 0;
    margin: 0;
    text-align: center;
}

.home_mini_footer p {
    margin: 0;
    color: #fff;
}


/* -------- Login Card ------- */

.login_main {
    padding-top: 100px;
}

.login_img {
    width: 100%;
    height: 100vh;
    background: #fff;
    padding-top: 180px;
}

.login_img img {
    width: 60%;
    margin: 0px auto;
    display: block;
}

.login_card {
    background: #fff;
    margin: 40px 20px 0 0;
    padding: 30px 0;
    border-radius: 20px;
}

.login_card h3 {
    text-align: left;
    text-transform: uppercase;
    margin-bottom: 30px;
    font-weight: bold;
}

.login_card button {
    background: #4079bf;
    border: none;
    color: #fff;
    padding: 10px 0;
    width: 100%;
    border-radius: 5px;
    margin: 10px 0;
}

.login_card a {
    margin-top: 10px;
}

.graph_main {
    /* margin-top: 40px; */
    margin: 30px 0px;
}


 g {
    fill: #ffffff !important;
    cursor:default;
}
/*
g.raphael-group-73-plot-group rect,
g.raphael-group-70-plot-group rect,
g.raphael-group-197-plot-group rect,
g.raphael-group-194-plot-group rect,
g.raphael-group-210-plot-group rect,
g.raphael-group-207-plot-group rect,
g.raphael-group-332-plot-group rect,
g.raphael-group-329-plot-group rect {
    pointer-events: all !important;
}

g.raphael-group-332-plot-group rect,
g.raphael-group-329-plot-group rect {
    fill: #29c3bc !important;
} */

.submit_btn {
    background: #000;
    color: #fff;
    margin: 10px 0;
    padding: 10px 50px;
    border-radius: 57px;
    text-transform: uppercase;
    font-weight: 500;
    margin: 0px auto;
    display: block;
}


/* Extra small devices (phones, 600px and down) */

@media only screen and (max-width: 767px) {
	header {
	    top: 0;
	}
    canvas#myChart {
        margin-top: -16%;
        margin-left: 9%;
    }
    .chart_text {
        position: absolute;
        top: 55% !important;
        left: 4% !important;
        font-size: 12px !important;
        width: 93%;
    }
    .dashboard_card {
        margin-top: 33% !important;
    }
	.login_main {
    padding-top: 0 !important;
	}
	.login_img {
	    height: auto !important;
	    padding-top: 35%;
	}
	form#customerDetailsObj {
	    margin-top: 20% !important;
	}
	.data_bg {
	    margin: 5% 0;
	    padding: 15% 2%;
	}
	
    .logo01 {
        width: 100%;
    }
    .header_text {
        text-align: center;
        margin: 10px 0;
    }
    .logo02 {
        width: 100%;
        float: right;
        margin-right: 0;
        margin-top: 5px;
    }
    .responsive_icon {
		display: flex;
		flex-wrap: wrap;
		border-top: 1px solid;
        margin-top: 10px;
	}
    .responsive_width {
        width: 50%;
        margin: 1px 0 16px 0;
    }
    .responsive_width .fa.fa-user.fa-lg.user_icon {
        margin: 0;
    }
    nav#sidebarMenu {
        padding: 0 0 0 0;
        /* background: rgb(69 39 160 / 81%) !important; */
        overflow: scroll;
    }
       #myDropdown {
        top: 2% !important;
        inset: auto 0px 0px auto !important;
        margin: 0px;
        transform: translate(-10px, 6px) !important;
        text-align: center;
    }
    .data_card01 h5 {
    	font-size: 0.8rem ! important;
	}
    .content {
        padding: 88% 0 0 0;
    }
    header.shadow .col-md-4.col-sm-4.col-xs-6 {
        width: 33% !important;
    }
    .header_text h4 {
        font-size: 6px !important;
		margin-bottom: 2px;
	}
    header.shadow .col-md-3.col-sm-12.col-xs-12 {
        width: 34% !important;
    }
	.content {
	    padding: 40% 0 0 0 !important;
	}
	div#custListTable_info {
	    width: auto;
	    float: left;
	}
	div#custListTable_paginate {
	    width: auto;
	    float: right;
	    text-align: center;
	    padding-top: 0.5rem;
	}
   .col-1.dropdown {
       width: 100%;
   }
   .chart_data_bg {
       padding: 0 20px !important;
   }
   .chart_data01 {
       width: 100% !important;
   }
   .chart_data02 {
		width: 100% !important;
		padding-bottom: 50px;
	}
    .data_color01 {
        height: 15px !important;
        width: 15px !important;
    }
    .data_color02 {
        height: 15px !important;
        width: 15px !important;
    }
    .data_color03 {
        height: 15px !important;
        width: 15px !important;
    }
    .data_color04 {
        height: 15px !important;
        width: 15px !important;
    }
    .data_card01 h5 {}
    /* .chart_data01 {
        width: 100% !important;
    }
    .chart_data02 {
        width: 100% !important;
    } */
    
   .list_check_box .form-check {
    	margin: 0 5px 20px 20px ! important
	}

.chart_row {
    display: block ! important;
    flex-wrap: wrap;
    background-color: #fff;
    border: 1px solid #e4e9f0 !important;
    /* border-radius: 10px; */
}
.data_table table {
    overflow-x: auto;
    display: block;
    position: relative;
    height: auto;
}
div#custListTable_info {
    width: 100% ! important;
    float: left;
}
div#custListTable_paginate {
    width: 100% ! important;
    float: right;
    text-align: center;
    padding-top: 0.5rem ! important;
}
.page-link {
    padding: 0.375rem 0.5rem ! important;
}
.home_banner .home_banner_text h4 {
    font-size: 30px ! important ;
}
.home_banner .home_banner_text h1 {
    font-size: 70px ! important;
}
.home_banner .home_banner_text p {
    font-size: 20px ! important;
}
.home_banner .home_banner_text button {
    font-size: 30px ! important;
}
a#dropdownMenuLink {
    background: none;
    border: none;
}
ul.dropdown-menu.bg-dark {
    background: #0ea4e9ab !important;
}



}


/* Small devices (portrait tablets and large phones, 600px and up) */

@media only screen and (min-width: 600px) {
    .content {
        padding: 88% 0 0 0;
    }
}


/* Medium devices (landscape tablets, 768px and up) */

@media only screen and (min-width: 768px) {}


/* Large devices (laptops/desktops, 992px and up) */

@media only screen and (min-width: 992px) {}


/* Extra large devices (large laptops and desktops, 1200px and up) */

 @media only screen and (min-width: 1200px) {
  .home_banner {
    background: url('../images/Banner.jpg');
    background-size: cover;
    background-repeat: no-repeat;
    height: 100vh;
}


div#custListTable_paginate {
    width: 30%;
    float: right;
    text-align: center;
    padding-top: 0.5rem;
}

a#custListTable_previous {
    float: left;
    text-transform: uppercase;
    color: #000;
    text-decoration: none;
    font-weight: 500;
    cursor: pointer;
}

a.paginate_button {
    margin: 0 7px;
    color: #000;
    font-weight: 400;
    cursor: pointer;
}

a#custListTable_next {
    text-transform: uppercase;
    color: #000;
    text-decoration: none;
    font-weight: 500;
    cursor: pointer;
}

div#custListTable_info {
    width: 40%;
    float: left;
}

.inner_card {
    margin: 40px 0;
    padding: 74px 0 48px 0px;
    border-radius: 10px;
    color: #fff;
}

g.raphael-group-65-plots {
    pointer-events: all !important;
}

.bg_total {
    background: #5d62b5;
}

.bg_resolve {
    background: #29c3be;
}

.bg_pending {
    background: #f2726f;
}

.bg_sendsc {
    background: #e5af27;
}

.anychart-credits {
    display: none;
}

.chart_row {
    display: flex;
    flex-wrap: wrap;
    background-color: #fff;
}

.chart_data01 {
    width: 70%;
}

.chart_data02 {
    width: 30%;
}

.chart_data_bg {
    background: #fff;
    height: 100%;
    padding-top: 25%;
    padding-left: 20px;
margin-left: -1px;
}

.data_color01 {
    background: #29c3be;
    height: 30px;
    width: 30px;
    border-radius: 50%;
    margin-right: 10px;
}

.data_color02 {
    background: #f2726f;
    height: 30px;
    width: 30px;
    border-radius: 50%;
    margin-right: 10px;
}

.data_color03 {
    background: #5d62b5;
    height: 30px;
    width: 30px;
    border-radius: 50%;
    margin-right: 10px;
}

.data_color04 {
    background: #ffc533;
    height: 30px;
    width: 30px;
    border-radius: 50%;
    margin-right: 10px;
}

.data_card01 {
    display: flex;
    flex-wrap: wrap;
    margin-top: 30px;
}

.data_card01 h5 {
    font-size: 1rem;
}
.list_check_box{
    display: ruby-text;
    flex-wrap: wrap;
}
.list_check_box .form-check {
    margin: 13px 30px 7px 22px;
}
.ajax-loader {
    /* visibility: hidden; */
    background-color: rgba(255,255,255,0.7);
    position: absolute;
    z-index: +100 !important;
    width: 100%;
    height:100vh

}

.ajax-loader img {
    position: relative;
    /* top: 50%; */
    /* left: 50%; */
    margin: 0px auto;
    display: block;

}
.data_table.table-responsive {
    overflow-x: auto;
    display: block;
    position: relative;
    height: auto;
}

.form-check {
    padding-left: 0 ! important	;
}


th {
    font-size: 12px !important;
}
td {
    font-size: 12px;
}
a.aclass.btn.btn-primary {
    font-size: 12px;
    width: 100%;
}
ul.pagination {
    font-size: 13px;
}
div#custListTable_info {
    font-size: 13px;
}
.total_text{
    color: blue;
    position: absolute;
    width: auto;
    left: 45%;
    top: 52%;
}
ul.dropdown-menu{
    width: 100% ! important;
    
}

.dropdown-item{
	white-space: normal ! important;
}


.dropdown-item:focus, .dropdown-item:hover {
    color: #1e2125;
    background-color: #7654eb00 ! important;
    width: 100% ! important;
    
}
li.nav-item.dropdown a {
    width: 100% ! important;
    text-align: left ! important;
}

/* Extra small devices (phones, 600px and down) */
@media only screen and (max-width: 600px) {
		.home_banner {
			background: url('../images/Banner.jpg');
		}
		.dropdown-toggle::after {
			float: right;
			margin-top: 10px;
		}
	}

	/* Small devices (portrait tablets and large phones, 600px and up) */
	@media only screen and (min-width: 600px) {
 .home_banner {
    background: url('../images/Banner.jpg');
    background-size: cover;
    }

}

/* Medium devices (landscape tablets, 768px and up) */
@media only screen and (min-width: 768px) {
  .home_banner {
    background: url('../images/banner-responsive.jpg');
	}

} 

/* Large devices (laptops/desktops, 992px and up) */
@media only screen and (min-width: 992px) {
 .home_banner {
    background: url('../images/Banner.jpg');
    background-size: cover;
    }
} 

a#dropdownMenuLink {
    background: none !important;
    border: none !important;
    box-shadow: none !important;
}
ul.dropdown-menu.bg-dark {
    background: none !important;
    border: none !important;
    box-shadow: none;
}
main {
    overflow: hidden !important;
    display: block !important;
}
.dropdown-toggle::after {
    float: right !important;
    margin-top: 10px !important;
    
}
.scroll {
  overflow-y: auto; /* Add the ability to scroll */
}


/* Hide scrollbar for Chrome, Safari and Opera */
.scroll::-webkit-scrollbar {
    display: none;
}

/* Hide scrollbar for IE, Edge and Firefox */
.scroll {
    -ms-overflow-style: none;
    scrollbar-width: thin;
}

.dragscroll {
		padding: 16px;
		margin-top: 30px;
		width: 100%;
		height: 70vh;
		overflow: auto;
		cursor: grab;
		cursor: -o-grab;
		cursor: -moz-grab;
		cursor: -webkit-grab;
		scrollbar-width: none;
	}
.dragscroll img {
				height: auto;
				width: 100%;
				aspect-ratio: 1/1;
			}


            .chart_row {
                background-color: #fff;
                border: 1px solid #e4e9f0 !important;
                border-radius: 10px;
            }

        }
.sidebar_user{
    text-align: center;
    color: #fff;
}
.sidebar_user_icon{
    background: #fff;
    width: 45px;
    height: 45px;
    border-radius: 50%;
    margin: 0px auto;
}
.sidebar_user_icon img{
    width: 59%;
    padding-top: 8px;
}
li.nav-item {
    margin: 5px 0px;
    font-size: 13px;
}
li.nav-item:hover {
    background: #0ea4e9ab;
}
li.nav-item.dropdown.nav-item-open {
    background: #0ea4e9ab;
}
li.nav-item:hover a {
    /* color: #2f236e  !important; */
    color: #fff !important;
}
ul.dropdown-menu.bg-dark li.nav-item a {
    margin-left: 16px;
}
li.nav-item.active {
    background: #332a7c;
}
li.nav-item a.nav-link i {
    font-size: 15px;
    margin: 8px 10px 0 -4px;
}
a#dropdownMenuLink i {
    margin-right: 9px;
}


     
.dashboard_card {
    margin-top: 7%;
    background: #ECF0F8 !important;
    padding: 1rem;
    margin-right: 1rem;
    box-shadow: -8px 12px 18px 0 #dadee8;
    border-radius: 7px;
    border: 1px solid #deebfd;
    margin-bottom: 6rem;
    overflow: hidden;
}

.dashboard_card .data_card {
    margin: 0 auto;
    padding-bottom: 12px;
    width: 100%;
    overflow: hidden;
    display: block;
    position: relative;
    color: #fff;
}
.dashboard_card .data_card a .data_text {
    /* position: absolute; */
    display: block;
    overflow: hidden;
    z-index: 999;
    top: 0;
    padding: 20px;
    width: 100%;
}
.dashboard_card .data_card a:hover{
    color: #fff;
}
.chart_text{
    position: absolute;
    top: 52%;
    left: 1%;
    font-size: 45px;
    font-weight: bold;
    text-align: center;
    width: 93%;
}
a#dropdownMenuLink {
    font-size: 13px;
    font-weight: 500;
}
a#dropdownMenuLink i {
    font-size: 18px !important;
}
ul.dropdown-menu.bg-dark li.nav-item:hover {
    background: #332a7c;
}
ul.dropdown-menu.bg-dark li.nav-item:hover a.nav-link.dropdown-item {
    color: #ffffff  !important;
}
.logout a:hover{
    color: #ff9a3e;
    background-color: #332a7c;
    border: 2.5px solid #ff9a3e;
}
.logout a:hover svg path {
    fill: #ff9a3e;
}
.logout a{
    font-size: 13px;
    font-weight: 500;
    color: #ffffff;
    border: 2.5px solid #fff;
    padding: 7px 12px 9px 14px;
    border-radius: 40px;
}
.data_card_bg01{
    background: url('../images/card01.png');
    background-repeat: no-repeat;
    background-size: contain;
}
.data_card_bg02{
    background: url('../images/card02.png');
    background-repeat: no-repeat;
    background-size: contain;
}
.data_card_bg03{
    background: url('../images/card03.png');
    background-repeat: no-repeat;
    background-size: contain;
    /* padding-right: 20.5%; */

}
.data_card_bg04{
    background: url('../images/card04.png');
    background-repeat: no-repeat;
    background-size: contain;
}
.data_card{
    height: 130px;
    margin: 0 !important;
}
.sidebar_scroll{height: 66vh;
    position: relative;
    display: block !important;
    overflow: scroll;
    overflow-x: hidden;
    -ms-overflow-style: none;
     /* scrollbar-width: thin; */
}
ul.nav.flex-column.sidebar_scroll li.nav-item {
    width: 100% !important;
}

.form-control {
    border: 1.5px solid #5348ae !important;
}

.form-select {
    border: 1.5px solid #5348ae !important;
}

.btn-group button {
    border: 1.5px solid #5348ae !important;
}

.data_table.table-responsive::-webkit-scrollbar-thumb {
    background-color: #5d62b5;
    background-color: #5d62b5;
}
.data_table.table-responsive::-webkit-scrollbar-track {
    border-radius: 8px;
    background-color: #e7e7e7;
    border: 1px solid #cacaca;
}
.data_table.table-responsive::-webkit-scrollbar {
    /* width: 8px; */
    height: 8px;
}
ul.nav.flex-column.sidebar_scroll::-webkit-scrollbar-thumb {
    background-color: #5d62b5;
    background-color: #5d62b5;
}
ul.nav.flex-column.sidebar_scroll::-webkit-scrollbar-track {
    border-radius: 8px;
    background-color: #e7e7e7;
    border: 1px solid #cacaca;
}
ul.nav.flex-column.sidebar_scroll::-webkit-scrollbar {
    width: 5px;
}
.back_btn{
    background: #4527a0;
    border: none;
    cursor: pointer;
  -webkit-transition-duration: 0.4s; /* Safari */
  transition-duration: 0.4s;
}
.back_btn:hover{
	box-shadow: 0 12px 16px 0 rgba(0,0,0,0.24),0 17px 50px 0 rgba(0,0,0,0.19);
}
.complaint_details hr {
    width: 30%;
    margin: 0px auto;
    height: 1.5px !important;
    background: #ebebeb !important;
    opacity: 100%;
    margin-bottom: 20px;
}
.complaint_details input {
    border: none !important;
    background: none !important;
    padding: 0;
    font-weight: 500;
}
.complaint_details input:focus{
	box-shadow: none !important;
}

.form-check.distribution_check_box input {
    height: 1.5rem;
    width: 1.5rem;
    margin-right: 11px;
    border: 2px solid #084298;
    border-radius: 3px;
    margin-top: 1px;
}

.form-check.distribution_check_box {
    left: 2%;
    position: relative;
    margin: 10px 0;
}

.imageborder img{
	border: 2px solid #332a7c;
    border-radius: 6px;
}
thead {
    background: #5d62b5 !important;
    color: #fff;
}

.table-hover>tbody>tr:hover {
    --bs-table-accent-bg: #5d62b547 !important;
    color: #000000;
}
.tdimgoverflow{
	width: max-content;
}